Skip to main content
POST
Update Inbound Details

Headers

string
required
Your API key for authentication.
string
The encrypted_key for the Twilio account that owns the phone number you want to modify. Not required if you are using a Luly phone number.

Path Parameters

string
The inbound phone number you wish to update.Formatting Notes:
  • The '+' or '%2B' prefix is optional.
  • Will assume a US country code if no country code is provided.
Valid Examples for +13334445555:
  • %2B13334445555
  • 13334445555
  • 3334445555

Body

string
required
Provide instructions, relevant information, and examples of the ideal conversation flow.For inbound numbers, consider including additional context about the purpose of the call, and what types of callers to expect.

Out-of-the-Box Behaviors (Summarized):

  • Speech pattern: Direct, concise, casual
  • Spells out symbols, acronyms, abbreviations, percentages, etc. ($4,000,000 -> “four million dollars”)
  • Asks clarifying questions

Prompting Tips:

  • Want to easily test out exactly how your agent will behave?
  • Aim for less than >2,000 characters where possible.
  • Simple, direct prompts are the most predictable and reliable.
  • Frame instructions positively:
    • "Do this" rather than "Don't do this".
    • Ex. “Keep the conversation casual” rather than “Don’t be too formal”.
    • This gives concrete examples of what to do, instead of leaving expected behavior open to interpretation.
string
Set the pathway that your agent will follow. This will override the prompt field, so there is no need to pass the ‘prompt’ field if you are setting a pathway.Warning: Setting a pathway will set the following fields to null / their default value - prompt, first_sentence, model, dynamic_data, tools, transfer_listSet to null or an empty string to clear the pathway.

Agent Parameters (Body)

string
Set your agent’s voice - all available voices can be found with the List Voices endpoint.
string
Select an audio track that you’d like to play in the background during the call. The audio will play continuously when the agent isn’t speaking, and is incorporated into it’s speech as well.Use this to provide a more natural, seamless, engaging experience for the conversation. We’ve found this creates a significantly smoother call experience by minimizing the stark differences between total silence and the agent’s speech.Options:
  • null - Default, will play audible but quiet phone static.
  • office - Office-style soundscape. Includes faint typing, chatter, clicks, and other office sounds.
  • cafe - Cafe-like soundscape. Includes faint talking, clinking, and other cafe sounds.
  • restaurant - Similar to cafe, but more subtle.
  • none - Minimizes background noise
string
Makes your agent say a specific phrase or sentence for it’s first response.
boolean
default:"false"
By default, the agent starts talking as soon as the call connects.When wait_for_greeting is set to true, the agent will wait for the call recipient to speak first before responding.
number
default:"100"
Adjusts how patient the AI is when waiting for the user to finish speaking.Lower values mean the AI will respond more quickly, while higher values mean the AI will wait longer before responding.Recommended range: 50-200
  • 50: Extremely quick, back and forth conversation
  • 100: Balanced to respond at a natural pace
  • 200: Very patient, allows for long pauses and interruptions. Ideal for collecting detailed information.
Try to start with 100 and make small adjustments in increments of ~10 as needed for your use case.
string
default:"enhanced"
Select a model to use for your call.Options: base, turbo and enhanced.In nearly all cases, enhanced is the best choice for now.
There are three different ways to use luly:
  • model: base
    • The original, follows scripts/procedures most effectively.
    • Supports all features and capabilities.
    • Best for Custom Tools
  • model: enhanced
    • Much faster latency and very conversational, works best with objective-based prompts.
    • Supports all features and capabilities.
  • model: turbo
    • The absolute fastest latency possible, can be verbose at times
    • Limited capabilities currently (excludes Transferring, IVR navigation, Custom Tools)
    • Extremely realistic conversation capabilities
array
Interact with the real world through API calls.Detailed tutorial here: Custom Tools
string
default:"en-US"
Select a supported language of your choice. Optimizes every part of our API for that language - transcription, speech, and other inner workings.
The available language options are as follows:
  • en - English
  • en-US - English (US)
  • en-GB - English (UK)
  • zh - Chinese (Mandarin, Simplified)
  • zh-CN - Chinese (Mandarin, Simplified, China)
  • zh - Hans - Chinese (Mandarin, Simplified, Hans)
  • zh - TW -Chinese (Mandarin, Traditional)
  • zh - Hant - Chinese (Mandarin,Traditional, Hant)
  • es - Spanish
  • fr - French
  • de - German
  • hi - Hindi
  • ja - Japanese
  • ko - Korean
  • pt - Portuguese
  • it - Italian
  • nl - Dutch
  • pl - Polish
  • ru - Russian
  • sv - Swedish
  • da - Danish
  • id - Indonesian
  • ms - Malay
  • tr - Turkish
string
default:"America/Los_Angeles"
Set the timezone for the call. Handled automatically for calls in the US.This helps significantly with use cases that rely on appointment setting, scheduling, or behaving differently based on the time of day.Timezone options are here in the TZ identifier column.
string
A phone number that the agent can transfer to under specific conditions - such as being asked to speak to a human or supervisor.Set to null to remove.
For best results:
  • Specify conditions that the agent should transfer to a human under (examples are great!)
  • In the task, refer to the action solely as “transfer” or “transferring”.
  • Alternate phrasing such as “swap” or “switch” can mislead the agent, causing the action to be ignored.
object
Give your agent the ability to transfer calls to a set of phone numbers.Overrides transfer_phone_number if a transfer_list.default is specified.Will default to transfer_list.default, or the chosen phone number.Example usage to route calls to different departments:
object
Integrate data from external APIs into your agent’s knowledge.Set to null or an empty string to clear dynamic data settings.Detailed usage in the Send Call endpoint.
number
default:"100"
Adjusts how patient the AI is when waiting for the user to finish speaking.Lower values mean the AI will respond more quickly, while higher values mean the AI will wait longer before responding.Recommended range: 50-200
  • 50: Extremely quick, back and forth conversation
  • 100: Balanced to respond at a natural pace
  • 200: Very patient, allows for long pauses and interruptions. Ideal for collecting detailed information.
Try to start with 100 and make small adjustments in increments of ~10 as needed for your use case.
string[]
default:"[]"
These words will be boosted in the transcription engine - recommended for proper nouns or words that are frequently mis-transcribed.For example, if the word “Reece” is frequently transcribed as a homonym like “Reese” you could do this:
For stronger keyword boosts, you can place a colon then a boost factor after the word. The default boost factor is 2.

Call settings (Body)

integer
default:"30"
When the call starts, a timer is set for the max_duration minutes. At the end of that timer, if the call is still active it will be automatically ended.Example Values: 20, 2
string
When the call ends, we’ll send the call details in a POST request to the URL you specify here.The request body will match the response from the GET /v1/calls/:call_id endpoint.
object
Define a JSON schema for how you want to get information about the call - information like email addresses, names, appointment times or any other type of custom data.In the webhook response or whenever you retrieve call data later, you’ll get the data you defined back under analysis.For example, if you wanted to retrieve this information from the call:
You would get it filled out like this in your webhook once the call completes:
object
Add any additional information you want to associate with the call. This can be useful for tracking or categorizing calls.
string
At the end of each call, a summary is generated based on the transcript - you can use this field to add extra instructions and context for how it should be summarized.For example: "Summarize the call in French instead of English."
string
Guides the output and provides additional instructions and clarifications for the analysis_schema.
boolean
default:"false"
To record your phone call, set record to true. When your call completes, you can access through the recording_url field in the call details or your webhook.

Response

string
Whether the update was successful or not - will be success or error.
string
A message describing the status of the update.
object
An object containing the updated settings for the inbound number.
object
If the update was unsuccessful, this will contain the settings that failed to update. Useful to determine how your request is being interpreted on our end.